Subject: Re: [PATCH] check_updates(): effective removal of cache entries marked CE_REMOVE

From: Kjetil Barvik <[email-masked]>
Date: Fri, 20 Feb 2009 10:01:35 +0100

Junio C Hamano <[email-masked]> writes:

> I've queued this in 'next' as part of your earlier series, together with
> the remaining patches..

  Thanks!!

> I am also a bit surprised that it would make a noticeable difference in
> real life.

  I guess that 77 milliseconds compared to 15 seconds is not noticable
  for the Linux checkout test, but since this is an algorithmic
  reduction from O(N^2) to O(N), I would guess that for big working
  trees it can be more noticable.

  -- kjetil